%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-sntp
Epoch:               1
Version:             4.0.0
Release:             1
Summary:             SNTP v4 client (RFC4330) for Node.js
License:             BSD-3-Clause
URL:                 https://github.com/hueniverse/sntp
Source0:             https://github.com/hueniverse/sntp/archive/v%{version}/sntp-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(@hapi/hoek)
Requires:            npm(@hapi/hoek)
%description
An SNTP v4 client (RFC4330) for Node.js. Simply connects to the NTP or SNTP
server requested and returns the server time along with the round-trip duration
and clock offset. To adjust the local time to the NTP time, add the returned
time offset to the local time.

%prep
%autosetup -n sntp-%{version}
chmod 0644 *.js* README.md lib/*
%nodejs_fixdep -r @hapi/boom
%nodejs_fixdep -r @hapi/bounce
%nodejs_fixdep -r @hapi/hoek
%nodejs_fixdep -r @hapi/teamwork

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/sntp
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/sntp
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%endif

%files
%{nodejs_sitelib}/sntp
%doc README.md
%license LICENSE.md

%changelog
* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 1:4.0.0-1
- Upgrade to version 4.0.0

* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 2.0.1-2
- License compliance rectification

* Sat Aug 15 2020 zhanghua <zhanghua40@huawei.com> - 2.0.1-1
- Package init
